/** \file daemon.h exported symbols from daemon.c */


void daemon_init(void);
FILE *open_log(const char *logfile_name);
void close_log(FILE* logfile);
void log_welcome(const char *whoami, int loglevel);
void para_drop_privileges(const char *username, const char *groupname);
/** used for server_uptime() */
enum uptime {UPTIME_SET, UPTIME_GET};
time_t server_uptime(enum uptime set_or_get);
__malloc char *uptime_str(void);
